> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Public

> Lists all public images available in a specific region. Regions doc https://docs.nebius.com/overview/regions
Public images can contain specific labels in metadata like:
"os_name: Ubuntu", "os_version: 22.04 LTS", "linux_kernel: 5.15", "cuda_toolkit: 13.0"
"nvidia_gpu_drivers: 550", "networking_package: OFED 23.10"



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /compute/v1/images/list-public
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /compute/v1/images/list-public:
    get:
      tags:
        - nebius.compute.v1.ImageService
      summary: List Public
      description: >-
        Lists all public images available in a specific region. Regions doc
        https://docs.nebius.com/overview/regions

        Public images can contain specific labels in metadata like:

        "os_name: Ubuntu", "os_version: 22.04 LTS", "linux_kernel: 5.15",
        "cuda_toolkit: 13.0"

        "nvidia_gpu_drivers: 550", "networking_package: OFED 23.10"
      operationId: ImageService_ListPublic
      parameters:
        - description: |-
            Region name (eu-north2, us-central1, eu-west1, etc.)
            For details, see https://docs.nebius.com/overview/regions
          in: query
          name: region
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListImagesResponse'
          description: A successful response.
components:
  schemas:
    v1ListImagesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/v1Image'
          type: array
        nextPageToken:
          type: string
      type: object
    v1Image:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1ImageSpec'
        status:
          $ref: '#/components/schemas/v1ImageStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1ImageSpec:
      properties:
        cpuArchitecture:
          $ref: '#/components/schemas/v1ImageSpecCPUArchitecture'
        description:
          type: string
        imageFamily:
          type: string
        imageFamilyHumanReadable:
          title: human readable name for image family
          type: string
        recommendedPlatforms:
          items:
            type: string
          title: list of platforms where this image is recommended to use
          type: array
        sourceDiskId:
          title: ID of the disk to create the image from
          type: string
        sourceDiskSnapshotId:
          type: string
        sourceStorage:
          $ref: '#/components/schemas/ImageSpecSourceStorage'
        unsupportedPlatforms:
          additionalProperties:
            type: string
          title: list of platforms where this image is not supported with explanation
          type: object
        unsupportedPresets:
          description: >-
            Platform presets that cannot use this image. Each item includes the
            reason.
          items:
            $ref: '#/components/schemas/ImageSpecUnsupportedPreset'
          type: array
        version:
          title: part of identifier into the image family
          type: string
      type: object
    v1ImageStatus:
      properties:
        imageFamilyDeprecation:
          $ref: '#/components/schemas/ImageStatusImageFamilyDeprecationStatus'
        minDiskSizeBytes:
          format: int64
          type: string
        reconciling:
          title: Indicates whether there is an ongoing operation
          type: boolean
        state:
          $ref: '#/components/schemas/v1ImageStatusState'
        stateDescription:
          type: string
        storageSizeBytes:
          format: int64
          type: string
      type: object
    v1ImageSpecCPUArchitecture:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - AMD64
        - ARM64
      type: string
    ImageSpecSourceStorage:
      properties:
        bucketName:
          type: string
        objectName:
          type: string
      type: object
    ImageSpecUnsupportedPreset:
      properties:
        platform:
          type: string
        preset:
          type: string
        reason:
          type: string
      type: object
    ImageStatusImageFamilyDeprecationStatus:
      description: >-
        Impossible create a disk using image family after the deprecation time,
        but still possible to create disk using image id.
      properties:
        deprecatedAt:
          format: date-time
          type: string
        message:
          type: string
      type: object
    v1ImageStatusState:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - CREATING
        - READY
        - UPDATING
        - DELETING
        - ERROR
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````